Listar projetos do usuário
curl --request GET \
--url https://api.metrito.com/v3/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.metrito.com/v3/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.metrito.com/v3/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "69162064162b926ae607959b",
"name": "Minha Loja Online",
"description": "E-commerce de roupas",
"logo": "https://storage.metrito.com/logos/minhaloja.png",
"workspace_id": "60f1b2c3d4e5f6a7b8c9d0e1"
},
{
"id": "69162064162b926ae607960c",
"name": "SaaS App",
"description": null,
"logo": null,
"workspace_id": "60f1b2c3d4e5f6a7b8c9d0e1"
}
]{
"error": "Unauthorized",
"message": "Token inválido ou expirado"
}Plataforma
Listar Projetos
Retorna todos os projetos (brands) que o usuário autenticado tem acesso.
Cada projeto contém um id que é usado como project_id nas demais APIs (Data API, conexões, etc.).
GET
/
v3
/
projects
Listar projetos do usuário
Autenticação
Este endpoint aceita dois formatos de autenticação:-
JWT da plataforma
- Header:
Authorization: Bearer {jwt}
- Header:
-
API Key do Metrito
- Header:
Authorization: Bearer mtk_live_...oux-api-key: mtk_live_... - Requer escopo
data:read - Retorna todos os projetos do workspace vinculado à chave
- Header:
Autorizações
bearerAuthapiKeyAuth
JWT da plataforma ou API key mtk_live_... enviada no header Authorization